How are you preparing for the 4.9 release?
As our 4.9 is just around the corner, I thought I would open this thread to see how you all are preparing for release. This thread is also mentioned in our blog that should come out today. :) 

Do you have your upgrade plans all set up?

How are you handling customizations, plugins, etc?

I'll post a link to the blog in the community once it's out as well. It's a pre-release post with some info on anticipated release dates.
    • 1
    Sieg I confess that I was expecting something like a demo or a release date in the yesterday blog :|
      • 1
      Donna [862,Leandro Rocha] I just tested and added an animated gif as my profile pic in the beta 4.9 and it works! I know that will make you happy. Unless I remembered incorrectly that you wanted animated gif support.
        • 1
        Sieg Thanks [231316,Donna] :D

        Can you check if we will have any improvement in the comment/like system? I opened a ticket requesting an improvement, but I am not sure how this will be solved in 4.9 (https://github.com/SocialEngine/phpv4-issues/issues/514)
          • 1
          Donna I know there is an improvement to the like system. I will check about comments now.
            • 1
            Donna You're welcome [862,Leandro Rocha] and I am sure you are going to love the improvements. :) I would show you a screenshot but I don't have the new theme yet to show off.
            • 0 1 vote
            • 1
            Sieg This sound good! Finally old content will have an oportunity to appear in the feed. Thanks [231316,Donna] :D
            • 0 1 vote
            • 1
            Donna I have set the setting for a comment on an item and also the setting for a like on an item to post to the main feed and it does that.

            I commented on a feed item and it popped to the top of the feed, with the settings enabled.

            I commented on a photo in the photo section and it showed on the top of the feed with the comment (which is contained in the photo and not separated).

            This appears to work how you want it, with these settings enabled.
            • 0 1 vote
            • 1
            Donna I'll have to try on my local as our staging is not online atm.
            • 0 1 vote
            • 1
            Sieg I am curious about this since the actual comment/like system is terrible. If I comment or like a content today that was posted 2 weeks ago nobody except those who already commented or liked the samed content will know. This is completly the opposite that others social network adopt
            • 0 1 vote
      • 1
      Donna Hi Leandro,

      I had hoped to post a date for a client release but we don't have a firm date yet. We had a few bugs submitted at the last minute that we are fixing and we also need feedback from the developer release. I don't anticipate it being a huge wait though.
    • 1
    beanorama Confused. I've received several emailed offers to pay now for the 4.9 upgrade. I've got a license already and I don't recall paying for upgrades.
      • 1
      Donna Hi,

      Thanks for posting.

      The Pre-Release Sale is for new clients as it mentioned "launching a new site" and purchasing a license. So that part is for clients that were waiting to purchase a license.

      Current clients don't need to worry about that part of things unless you want to buy another license for a new site. If you are just upgrading a current site, you don't need to purchase anything unless you need our technicians to upgrade your site, you can then purchase an upgrade service.

      Hope that explains it.
        • 1
        beanorama Well, I'm still launching my new site, but I do have a license already. That's why I was confused.
          • 1
          Donna Hi,

          Sorry for the confusion. We were mainly letting folks that were waiting to purchase that it would be a good time to start their sites as 4.9 is right around the corner.

          Glad you got your license already. The upgrade won't be an extra cost for access to the files. If you need a service, you would need to pay for that though.

          I hope you have good luck with your site and are enjoying the SocialEngine platform. :)
        • 1
        Spirit Silverwind Thanks [231316,Donna]

        Also do you know if the CSS structure and what not will be improved in 4.9, the way Social engine handles CS and such now is problematic.
          • 1
          Donna Hi,

          I'm not a CSS expert to know how the responsive theme will do that. Sorry. I know things are improving though. I hope it'll be something everyone will like though. :)
      • 1
      Spirit Silverwind The blog that was just written makes it sound like we may have to pay as well, even know we where told 4.9 would be free, if any clarification can be made on this, that'd be great
    • 1
    gs With great anticipation, excitement, and hope :)

    My situation is very different from most because I'm still in development mode (yes, after over 1.5 years - mainly due to countless bugs with 1 particular Dev's Plugins). But I was planning on moving to production 2017-QTR1, but held off due to the imminent release of 4.9 which I need primarily for the (hoped) page-load-speed reduction using PHP 7/7.1 and Zend security updates. Although I have many SE Modules, I only use Core (obviously) and Photo Albums (every other feature/functionality is replaced with 3rd-Party Plugins/Theme). Thus re: 4.9, I have little concern with SE, but great concern with 3rd-Party Devs. In fact, the only thing I care about with 4.9 (besides hopefully no negative impact to my site) is PHP 7/7.1 compatibility and the Zend security updates. I don't even care about the new Theme as I won't be replacing SpectroMedia. So, all of the new features and functionality are of no use to me. But, this has been my plan from day 1 with SE - I only need SE because the 3rd-Party Plugins I require are built on SE.

    - Plugins/Theme: Contacted 3rd-Party Devs for all Plugins I have to find out their estimated time-to-update their Plugins after 4.9 is released (especially since they've probably already had a version of 4.9 for them to work/test on to get a head-start with their Plugin/Theme updates)
    - Customizations: For the most part, I have asked Devs over the past year to be sure customizations are compatible with PHP 7/7.1, but obviously they couldn't guarantee SE 4.9 compatibility until they had 4.9, but there's not much that should be impacted by 4.9 (since all customizations are to 3rd-Party Pluigns, not SE directly) so for the most part I should (hopefully) be in good shape with customizations
    - Since my current server OS doesn't support multiple versions of PHP, last December I tested an updated server OS with xVarnish but ran into serious performance issues with Logging In and also 1 Plugin (2-4 min page loads). So, that option is out. I plan on setting up a separate server with PHP 7/7.1 and porting the existing site to that for the 4.9 updates and all testing (along with 3rd-Party Plugins). This way that is independent of my current Dev site/server. Depending on how things go and when, either the Dev server OS and SE site will be updated (SE 4.9 and all 3rd-Party Plugins), or the upgraded SE w/Plugins (on the 2nd server) will be ported back to the server1 (after server OS and PHP updates) and continue from there.

    There are many sub-steps involved, but that's the general idea. Again, please keep in mind that since I'm still not into Production that I have much more flexibility and less urgent potential issues than most SE ADMINs.
      • 1
      Donna Yes it supports PHP7/7.1. I've tested one of those on local already. Zend is updated to the latest ZF1. :)
      • 1
      Donna Sounds like you have it well planned. Thank you for posting :) .
    • 1
    Sieg Well, this will depend about what is comming with 4.9. There is a large list of things that are to be solved with 4.9, but we dont have any clue about how will it work. By example, seems that a better comment and like system will come, but I dont know how it will work. Probably I will need to wait some months untill all my plugins be upgraded to be compatible.
      • 1
      Donna Thanks for responding. Perhaps set up a development site and see how things are when we release the client version. I think that will be an RC version so clients can test it out on their testing sites.
        • 1
        Sieg Probably we will face hard times, I dont know the reason, but I feel that development websites doesnt work in the same way that production websites. Just to illustrate I cloned my production website and installed the same plugin in both. In the production the plugins installed smoothly, but in the development a couple of weird bugs appeared. If boths websites are equal except by the URL they should not have this type of error.
          • 1
          Donna I don't know about why that happened. It could even be server related, bad files (corrupt during upload or cloning), flukes, any number of things can cause it. Does make it hard to test though. Is it in development mode?
            • 1
            Sieg Yes, it is. I give up to try to understand why this type of error occurs in SE, since I find a new or different type issue everytime that I try to check. I am interested in 4.9 due the improvements in comments/likes, gif support and maybe the translation system. These three points are a drawback of my website and I really would like to see any improvements in these areas.
            • 0 1 vote
  • 5 more comments